Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.auth
Interface ExplicitLoginFilterChain

    public interface ExplicitLoginFilterChain

This interface is used to call the next element in the filter chain for the explicit Portal login with user id and password. A reference is passed to the `com.ibm.portal.auth.ExplicitLoginFilter` SPI. If an implementation of this SPI calls this method, the corresponding method of the next LoginFilter implementation as defined in the explicit login filter chain (as a property of the Portal Authentication Service) is called. NOTE: This API may only be used in the scope of an HTTP request in WebSphere Portal, i.e. within a theme. The API can not be invoked directly by a custom servlet.

Since:
  6.1

Method Summary
`void` | `login(HttpServletRequest req, HttpServletResponse resp, java.lang.String userID, char[] password, FilterChainContext portalLoginContext, javax.security.auth.Subject subject, java.lang.String realm)` Calls the login method of the next login filter in the filter chain for the explicit Portal login.

Method Detail

### login

    void login(HttpServletRequest req,
               HttpServletResponse resp,
               java.lang.String userID,
               char[] password,
               FilterChainContext portalLoginContext,
               javax.security.auth.Subject subject,
               java.lang.String realm)
               throws javax.security.auth.login.LoginException,
                      WSSecurityException,
                      PasswordInvalidException,
                      UserIDInvalidException,
                      AuthenticationFailedException,
                      AuthenticationException,
                      SystemLoginException,
                      LoginException

  Calls the login method of the next login filter in the filter chain for the explicit Portal login.

  Parameters:
    `req` - The servlet request.
    `resp` - The servlet response.
    `userID` - The user id of the user the login is performed for.
    `password` - The password that has been passed in for the current login.
    `portalLoginContext` - A `FilterChainContext` object that can be used to share information between the login filter implementations. If the login filter chain has been invoked by the `LoginService` it contains a `Boolean` value for the `LoginService.DO_RESUME_SESSION` property
    `subject` - The subject passed in by the `LoginService`. May be null. Credentials and principals added to this subject will end up in the user's security context.
    `realm` - A string identifying the current realm.
  Throws:
    `javax.security.auth.login.LoginException` - The java login exception that can be thrown by WAS when creating or invoking the login context.
    `WSSecurityException` - This exception can be thrown by WAS when setting the security subject.
    `PasswordInvalidException` - Thrown if the password is null or empty.
    `UserIDInvalidException` - Thrown if the user id is null or empty.
    `AuthenticationFailedException` - Thrown if the Authentication failed for some other reason.
    `AuthenticationException` - Thrown if the Authentication failed for some other reason.
    `SystemLoginException` - Thrown when an unrecoverable problem occurred within Portal during Login.
    `LoginException` - This generic exception is thrown for all kinds of other exceptions that can occur during the login process.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD